Tracing for float variables
Functionality by programming task » Programming models » Tracing constraint propagation

## Classes

class | Gecode::FloatTraceDelta
| Trace delta information for float variables. More...
class | Gecode::StdFloatTracer
| Standard float variable tracer. More...

## Typedefs

typedef ViewTracer< Float::FloatView > | Gecode::FloatTracer
| Tracer for float variables.
typedef ViewTraceRecorder< Float::FloatView > | Gecode::FloatTraceRecorder
| Trace recorder for float variables.

## Functions

GECODE_FLOAT_EXPORT void | Gecode::trace (Home home, const FloatVarArgs &x, TraceFilter tf, int te=(TE_INIT|TE_PRUNE|TE_FIX|TE_FAIL|TE_DONE), FloatTracer &t=StdFloatTracer::def)
| Create a tracer for float variables.
void | Gecode::trace (Home home, const FloatVarArgs &x, int te=(TE_INIT|TE_PRUNE|TE_FIX|TE_FAIL|TE_DONE), FloatTracer &t=StdFloatTracer::def)
| Create a tracer for float variables.

## Detailed Description

## Typedef Documentation

## FloatTracer

typedef ViewTracer<Float::FloatView> Gecode::FloatTracer

Tracer for float variables.

Definition at line 2083 of file float.hh.

## FloatTraceRecorder

typedef ViewTraceRecorder<Float::FloatView> Gecode::FloatTraceRecorder

Trace recorder for float variables.

Definition at line 2088 of file float.hh.

## Function Documentation

## trace() [1/2]

void Gecode::trace | ( | Home | home,
|  | const FloatVarArgs & | x,
|  | TraceFilter | tf,
|  | int | te = (TE_INIT | TE_PRUNE | TE_FIX | TE_FAIL | TE_DONE),
|  | FloatTracer & | t = StdFloatTracer::def )

Create a tracer for float variables.

Definition at line 39 of file trace.cpp.

## trace() [2/2]

void Gecode::trace | ( | Home | home,
|  | const FloatVarArgs & | x,
|  | int | te = (TE_INIT | TE_PRUNE | TE_FIX | TE_FAIL | TE_DONE),
|  | FloatTracer & | t = StdFloatTracer::def )

inline

Create a tracer for float variables.

Definition at line 37 of file trace.hpp.